
#if $image.mdata.caption:
	#set $title = $image.mdata.caption + ' (%s)' % $image.fname
#else:
	#set $title = $image.fname
#end if
#include "header.html"


#if $album.parent:
  <h1><a href="index">gallery</a> /
    #if $album.parent.parent:
      <a href="album?aname=$album.parent.parent.fname">...</a> /
    #end if
    <a href="album?aname=$album.parent.fname">$album.parent.title</a> /
    <a href="album?aname=$album.fname;start=$start#ref_$image.fname">
      $album.title
    </a> / $image.fname
  </h1>
#else
  <h1><a href="index">gallery</a> /
    <a href="album?aname=$album.fname;start=$start#ref_$image.fname">
      $album.title
    </a> / $image.fname
  </h1>
#end if

<input type="hidden" id="album_name" value="$album.fname"/>

<div class="detailsleft">
#if $prev:
	<a class="imglink" href="details?aname=$album.fname;iname=$prev.fname">
	  <img alt="prev" src="static/images/prev.png"/><br/>
	  <img class="thumb" alt="$prev.fname"
	    src="thumb?aname=$album.fname;iname=$prev.fname"/>
	</a><br/>
	$prev.mdata.caption
#end if
<!-- Needed so the div uses space anyway -->
&nbsp;
</div>


<div class="details">

<a class="imglink" href="image?aname=$album.fname;iname=$image.fname">
  <img class="medium" id="thumb_$image.fname" alt="$image.fname"
     src="medium?aname=$album.fname;iname=$image.fname"/>
</a>

<div class="thumbinfo">
  <span class="caption" id="caption_$image.fname">
    #if $image.mdata.caption:
      $image.mdata.caption<br/>
    #end if
  </span>
  <span class="desc" id="desc_$image.fname">
    #if $image.mdata.desc:
      $image.mdata.desc<br/>
    #end if
  </span>
  <span class="imginfo">
    $image.number of $album.count
    | $image.size[0] x $image.size[1]
    #if $image.exif.date: | <span title="Image date">$image.exif.date</span>
  </span><br/>

  #if $image.exif.has_data():
    <span class="imgexif">
    #if $image.exif.camera: | <span title="Camera">$image.exif.camera</span>
    #if $image.exif.flash: | <span title="Flash">flash $image.exif.flash.lower()</span>
    #if $image.exif.exposure: | <span title="Exposure time">${image.exif.exposure}s</span>
    #if $image.exif.iso: | <span title="ISO Sensitivity">ISO$image.exif.iso</span>
    #if $image.exif.focallength: | <span title="Focal lenght">${image.exif.focallength}mm</span>
    #if $image.exif.fnumber: | <span title="F Stop">f/$image.exif.fnumber</span>
    |</span><br/>
  #end if

  #if $allow_writes:
  <a class="edit" href="javascript:show_editcaption('$image.fname')">
    edit caption</a>
  <a class="edit" href="javascript:show_editdesc('$image.fname')">
    edit desc</a>
  <br/>
  <a class="imglink" href="image?aname=$album.fname;iname=$image.fname"
      title="Full view">
    <img class="ibutton" alt="full" src="static/images/full.gif"/></a>
  <a class="imglink" href="javascript:a_set_featured('$image.fname')"
      title="Make featured">
    <img class="ibutton" alt="star" src="static/images/star.gif"/></a>
  <a class="imglink" href="javascript:rotate('$image.fname', 1)"
      title="Rotate">
    <img class="ibutton" alt="rotate" src="static/images/rotate.gif"/></a>
  #end if
</div>

#if $allow_writes:
<div id="editcaption_$image.fname" style="display: none">
  <form action="unused">
    <input type="text" id="cvalue_$image.fname" value="$image.mdata.caption"/><br/>
    <button onclick="javascript:submit_editcaption('$image.fname'); return false">
      submit</button>
    <button onclick="hide('editcaption_$image.fname');return false">
      cancel</button><br/>
  </form>
</div>

<div id="editdesc_$image.fname" style="display: none">
  <form action="unused">
    <textarea id="dvalue_$image.fname" rows="3" cols="26">$image.mdata.desc</textarea><br/>
    <button onclick="javascript:submit_editdesc('$image.fname'); return false">
      submit</button>
    <button onclick="hide('editdesc_$image.fname');return false">
      cancel</button><br/>
  </form>
</div>
#end if

<p/>

<center>
<div class="comments">
#for $c in $image.comments.get():
  <div class="comment">
  From: <b>$c.author</b> ($c.date)<br/>
  $c.content<br/>
  </div>
#end for
<p/>

#if $user:
  <div class="add_comment">
  <button onclick="toggle_visibility('addform');return false">
    add comment</button><p/>

  <div id="addform" style="display: none">
    <form method="post" action="add_comment">
      <input type="hidden" name="aname" value="$album.fname"/>
      <input type="hidden" name="iname" value="$image.fname"/>
      From: <input type="text" size="17" name="author" value="$user"/><br/>
      <textarea name="content" rows="3" cols="26"></textarea><br/>
      <button type="submit">add</button>
      <button onclick="hide('addform');return false">cancel</button><br/>
    </form>
  </div>

  </div>
#end if

</div>
</center>
<p/>

</div>


<div class="detailsright">
#if $next:
	<a class="imglink" href="details?aname=$album.fname;iname=$next.fname">
	  <img alt="next" src="static/images/next.png"/><br/>
	  <img class="thumb" alt="$next.fname"
	    src="thumb?aname=$album.fname;iname=$next.fname"/>
	</a><br/>
	$next.mdata.caption
#end if
<!-- Needed so the div uses space anyway -->
&nbsp;
</div>

#include "footer.html"

